FORUMS
Remove All Ads from XDA

[LLVM/CLANG] DragonTC ~ The future is now

1,390 posts
Thanks Meter: 4,136
 
By frap129, Recognized Developer on 19th February 2016, 05:55 PM
Post Reply Email Thread
Announcement from frap129: Build commit test 12 FINAL is out
3rd March 2019, 11:49 AM |#341  
Senior Member
Thanks Meter: 141
 
Donate to Me
More
Tried to build Dragon TC for my system, got this error:

Code:
/usr/bin/ld: Relocatable linking with relocations from format elf32-i386 (/home/v4lkyr/android/tools/toolchains/dtc/cmake/lib64/clang/9.0.0/lib/linux/libclang_rt.fuzzer-i386.a(FuzzerCrossOver.cpp.o)) to format elf64-x86-64 (fuzzer.o) is not supported
projects/compiler-rt/lib/fuzzer/CMakeFiles/clang_rt.fuzzer-i386.dir/build.make:114: recipe for target 'lib64/clang/9.0.0/lib/linux/libclang_rt.fuzzer-i386.a' failed
make[2]: *** [lib64/clang/9.0.0/lib/linux/libclang_rt.fuzzer-i386.a] Error 1
make[2]: *** Deleting file 'lib64/clang/9.0.0/lib/linux/libclang_rt.fuzzer-i386.a'
CMakeFiles/Makefile2:25514: recipe for target 'projects/compiler-rt/lib/fuzzer/CMakeFiles/clang_rt.fuzzer-i386.dir/all' failed
make[1]: *** [projects/compiler-rt/lib/fuzzer/CMakeFiles/clang_rt.fuzzer-i386.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
The command I used:

Code:
./build_dtc 9.0 -march=skylake -mtune=skylake -m64 thinlto
 
 
24th March 2019, 02:32 PM |#342  
Junior Member
Thanks Meter: 1
 
More
Hello. I'm using newest prebuild dragonTC 9 from xanaxdroid but have a problem when trying to compile a kernel with it. Clang can't open shared libraries called libz3.so.4.8. It seems that I don't have it... I'm on ubuntu 18.04 and the kernel itself compiles when using google toolchains with clang.
11th April 2019, 06:47 PM |#343  
Junior Member
Thanks Meter: 2
 
More
@V4LKyR Currently running into the same problem, did you manage to fix it?
Managed to fix it by re-installing dependencies on BBQLinux
19th May 2019, 07:57 PM |#344  
Senior Member
Flag Budapest
Thanks Meter: 444
 
Donate to Me
More
Quote:
Originally Posted by prakosza

Hello. I'm using newest prebuild dragonTC 9 from xanaxdroid but have a problem when trying to compile a kernel with it. Clang can't open shared libraries called libz3.so.4.8. It seems that I don't have it... I'm on ubuntu 18.04 and the kernel itself compiles when using google toolchains with clang.

just install latest libz3-dev and symlink it:
Code:
ln -s /usr/lib/x86_64-linux-gnu/libz3.so /usr/lib/libz3.so.4.8

latest problem from xanaxdroid:
Code:
/lib/x86_64-linux-gnu/libm.so.6: version `GLIBC_2.29' not found (required by clang)
The Following User Says Thank You to mesziman For This Useful Post: [ View ] Gift mesziman Ad-Free
14th June 2019, 11:27 AM |#345  
quake73's Avatar
Senior Member
Thanks Meter: 1,026
 
More
I'm getting this error while building BenzoROM: https://del.dog/otifocosoq.rb
10th July 2019, 06:02 PM |#346  
fKm's Avatar
Senior Member
Flag Schuettorf
Thanks Meter: 1,000
 
More
Quote:
Originally Posted by mesziman

latest problem from xanaxdroid:

Code:
/lib/x86_64-linux-gnu/libm.so.6: version `GLIBC_2.29' not found (required by clang)

Not sure if you fixed it already, but I was able to fix it by installing Ubuntu 19.04
Post Reply Subscribe to Thread

Guest Quick Reply (no urls or BBcode)
Message:
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes